﻿//
// Copyright (C) 2009 Chris Dziemborowicz
//
// This file is part of Orzeszek Ratings.
//
// Orzeszek Ratings is free software: you can redistribute it and/or
// modify it under the terms of the GNU General Public License as
// published by the Free Software Foundation, either version 3 of the
// License, or (at your option) any later version.
//
// Orzeszek Ratings is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <http://www.gnu.org/licenses/>.
//

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace OrzeszekRatings
{
	public static class RatingUtility
	{
		public static int? FromItunesRating(int rating)
		{
			if (rating < 10)
				return null;
			else if (rating < 30)
				return 1;
			else if (rating < 50)
				return 2;
			else if (rating < 70)
				return 3;
			else if (rating < 90)
				return 4;
			else
				return 5;
		}

		public static int? FromWmpRating(string rating)
		{
			try
			{
				if (string.IsNullOrEmpty(rating))
					return null;

				int i = int.Parse(rating);

				if (i < 1)
					return null;
				else if (i < 13)
					return 1;
				else if (i < 38)
					return 2;
				else if (i < 63)
					return 3;
				else if (i < 87)
					return 4;
				else
					return 5;
			}
			catch (Exception)
			{
				return null;
			}
		}

		public static int ToItunesRating(int? rating)
		{
			switch (rating)
			{
				case 1:
					return 20;
				case 2:
					return 40;
				case 3:
					return 60;
				case 4:
					return 80;
				case 5:
					return 100;
				default:
					return 0;
			}
		}

		public static string ToWmpRating(int? rating)
		{
			switch (rating)
			{
				case 1:
					return "1";
				case 2:
					return "25";
				case 3:
					return "50";
				case 4:
					return "75";
				case 5:
					return "99";
				default:
					return "0";
			}
		}
	}
}